## python-cryptography 42.0.5

=== debian/changelog ===
python-cryptography (42.0.5-2build1) oracular; urgency=medium

  * No-change rebuild to enable frame pointers

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 17:46:11 +0200

python-cryptography (42.0.5-2) unstable; urgency=medium

  * Patch: upstream fix for 32-bit archs tests

 -- Jérémy Lal <kapouer@melix.org>  Tue, 19 Mar 2024 23:15:50 +0100

python-cryptography (42.0.5-1) unstable; urgency=medium

  * Team upload.
  * Bump setuptools-rust, rust-pem, rust-openssl, rust-openssl-sys deps
  * Testsuite: autopkgtest-pkg-pybuild

  [ Andreas Tille ]
  * New upstream version
    Closes: #1059308 (CVE-2023-50782)
    Closes: #1064778 (CVE-2024-26130)
    Closes: #1063771, #1018159
  * watch file standard 4 (routine-update)
    Closes: #1046569
  
  [ Michael R. Crusoe ]
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/{tests/,}control: update dependency on python3-cryptography-vectors
  * marked intersphinx patch as not needing forwarding

  [ Andrey Rakhmatullin ]
  * Add myself to Uploaders.

  [ Jérémy Lal ]
  * Testsuite: autopkgtest-pkg-pybuild

 -- Jérémy Lal <kapouer@melix.org>  Tue, 19 Mar 2024 10:58:04 +0100

python-cryptography (41.0.7-5) unstable; urgency=medium

  * AMAU, Closes: #1064979

  [ Andreas Tille ]
  * Enable building twice in a row

 -- Jérémy Lal <kapouer@melix.org>  Thu, 07 Mar 2024 13:42:35 +0100

=== debian/control ===
Source: python-cryptography
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jérémy Lal <kapouer@melix.org>,
 Andrey Rakhmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends: cargo,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               librust-asn1-0.15-dev,
               librust-asn1-derive-0.15-dev,
               librust-cfg-if-dev,
               librust-foreign-types-shared-0.1-dev,
               librust-once-cell-dev,
               librust-openssl-dev (>= 0.10.64~),
               librust-openssl-sys-dev (>= 0.9.101~),
               librust-ouroboros-0.15-dev,
               librust-paste-dev,
               librust-pem-3.0-dev,
               librust-pyo3-0.20-dev,
               librust-pyo3-0.20+default-dev,
               librust-pyo3-macros-0.20-dev,
               librust-self-cell-dev,
               libssl-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-cffi,
               python3-cryptography-vectors (<< 42.0.6~) <!nocheck>,
               python3-cryptography-vectors (>= 42.0.5~) <!nocheck>,
               python3-doc <!nodoc>,
               python3-hypothesis <!nocheck>,
               python3-iso8601 <!nocheck>,
               python3-pretend <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-subtests <!nocheck>,
               python3-setuptools,
               python3-setuptools-rust (>= 1.7.0~),
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-tz <!nocheck>,
               tzdata <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cryptography.git
Homepage: https://cryptography.io/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-cryptography
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-cryptography-doc,
          python3-cryptography-vectors
Description: Python library exposing cryptographic recipes and primitives (Python 3)
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.
 .
 This package contains the Python 3 version of cryptography.

Package: python-cryptography-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python library exposing cryptographic recipes and primitives (documentation)
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.
 .
 This package contains the documentation for cryptography.
Build-Profiles: <!nodoc>
Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export PYBUILD_NAME=cryptography
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests/
export PYBUILD_BEFORE_TEST=cp -R {dir}/src/${PYBUILD_NAME}.egg-info {build_dir}

%:
	dh $@ --buildsystem=pybuild


override_dh_auto_clean:
	if [ -f src/rust/Cargo.lock.orig ] ; then mv src/rust/Cargo.lock.orig src/rust/Cargo.lock ; fi
	dh_auto_clean
	rm -rf src/rust/target
	rm -rf debian/cargo_registry


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=./src python3 -m sphinx -b html -N docs/ \
		   $(CURDIR)/debian/python-cryptography-doc/usr/share/doc/python-cryptography-doc/html
	dh_sphinxdoc
endif


override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	mkdir -p src/rust/target/release
	ln -sf ../$(DEB_HOST_RUST_TYPE)/release/libcryptography_rust.so src/rust/target/release/libcryptography_rust.so
	mv src/rust/Cargo.lock src/rust/Cargo.lock.orig
	dh_auto_configure


override_dh_dwz:
	dh_dwz --no-dwz-multifile


override_dh_python3:
	# We patch it out of .dist-info to avoid pkg_resources complaining (#1026537)
	dh_python3 --depends=cffi

## python-cryptography 43.0.0

=== debian/changelog ===
python-cryptography (43.0.0-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Fix overly strict build-dependency for cc crate (Closes: #1104046).

  [ Andrey Rakhmatullin ]
  * Bump Standards-Version to 4.7.2.
  * Remove Rules-Requires-Root.
  * Remove no longer needed Python 3 mentions from the package description.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 25 Apr 2025 11:17:42 +0500

python-cryptography (43.0.0-2) unstable; urgency=medium

  * Restore B-D: python3-setuptools (Closes: #1100262).
  * Update to librust-asn1-0.20-dev, add upstream patches for compatibility
    with it (Closes: #1101438).
  * Disable DH_VERBOSE.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 29 Mar 2025 01:20:16 +0500

python-cryptography (43.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Update and rearrange Build-Depends:
    + Removed:
      - librust-asn1-derive-0.15-dev (obsolete)
      - librust-ouroboros-0.15-dev (obsolete)
      - librust-paste-dev (obsolete)
      - librust-pyo3-macros-0.20-dev (not an explicit dep)
      - python3-hypothesis (obsolete)
      - python3-iso8601 (obsolete)
      - python3-pytest-subtests (obsolete)
      - python3-setuptools (changed in this version)
      - python3-setuptools-rust (changed in this version)
      - python3-tz (obsolete)
      - tzdata (obsolete)
    + Added:
      - librust-cc-1.1-dev (forgotten explicit dep)
      - librust-foreign-types-0.3-dev (forgotten explicit dep)
      - python3-bcrypt (optional dep)
      - python3-certifi (forgotten explicit dep; fixes building with nodoc)
      - python3-maturin (changed in this version)
    + Moved to Build-Depends-Indep:
      - dh-sequence-sphinxdoc
      - python3-doc
      - python3-sphinx
      - python3-sphinx-rtd-theme
    + Version updates (Closes: #1080395):
      - librust-asn1-0.17-dev (from 0.15)
      - librust-pyo3-0.22-dev (from 0.20)
      - librust-pyo3-0.22+default-dev (from 0.20)
  * Change upstream version reqs to ones provided by Debian:
    + asn1 0.16.2 -> 0.17.0
    + openssl 0.10.65 -> 0.10.63
    + openssl-sys 0.9.103 -> 0.9.101
  * Skip tests that fail with librust-openssl-dev < 0.10.65.
  * Add python3-bcrypt to Depends.
  * Move documentation build-deps into Build-Depends-Indep.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 10 Sep 2024 23:55:34 +0500

=== debian/control ===
Source: python-cryptography
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
           Andrey Rakhmatullin <wrar@debian.org>,
Section: python
Priority: optional
Build-Depends: cargo,
               debhelper-compat (= 13),
               dh-sequence-python3,
               librust-asn1-0.20-dev,
               librust-cc-1-dev (>= 1.1.6~),
               librust-cfg-if-dev,
               librust-foreign-types-0.3-dev,
               librust-foreign-types-shared-0.1-dev,
               librust-once-cell-dev,
               librust-openssl-dev (>= 0.10.64~),
               librust-openssl-sys-dev (>= 0.9.101~),
               librust-pem-3.0-dev,
               librust-pyo3-0.22+default-dev,
               librust-pyo3-0.22-dev,
               librust-self-cell-dev,
               libssl-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-bcrypt <!nocheck>,
               python3-certifi <!nocheck>,
               python3-cffi,
               python3-cryptography-vectors (<< 43.0.1~) <!nocheck>,
               python3-cryptography-vectors (>= 43.0.0~) <!nocheck>,
               python3-maturin,
               python3-pretend <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-setuptools,
Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                     python3-doc <!nodoc>,
                     python3-sphinx <!nodoc>,
                     python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cryptography.git
Homepage: https://cryptography.io/
Testsuite: autopkgtest-pkg-pybuild

Package: python3-cryptography
Architecture: any
Depends: python3-bcrypt,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-cryptography-doc,
          python3-cryptography-vectors,
Description: Python library exposing cryptographic recipes and primitives
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.

Package: python-cryptography-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Description: Python library exposing cryptographic recipes and primitives (documentation)
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.
 .
 This package contains the documentation for cryptography.
Build-Profiles: <!nodoc>
Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DH_VERBOSE = 1
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
@@ -17,8 +15,8 @@
 
 export PYBUILD_NAME=cryptography
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS={dir}/tests/
-export PYBUILD_BEFORE_TEST=cp -R {dir}/src/${PYBUILD_NAME}.egg-info {build_dir}
+# needs newer librust-openssl-dev (#1081226)
+export PYBUILD_TEST_ARGS={dir}/tests/ -k 'not (TestDHPublicKeySerialization and test_public_bytes_match)'
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -44,6 +42,8 @@
 	mkdir -p src/rust/target/release
 	ln -sf ../$(DEB_HOST_RUST_TYPE)/release/libcryptography_rust.so src/rust/target/release/libcryptography_rust.so
 	mv src/rust/Cargo.lock src/rust/Cargo.lock.orig
+	# needed because we patch Cargo.toml
+	cargo generate-lockfile --manifest-path src/rust/Cargo.toml --offline
 	dh_auto_configure

## python-cryptography 44.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Cryptography.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Cryptography.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Cryptography"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Cryptography"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-cryptography (44.0.2-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 11:36:34 +0100

python-cryptography (44.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Build with rust-pyo3 0.25 (Closes: #1115569).
  * Drop the Priority field.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 19 Sep 2025 11:47:01 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>,
            Andrey Rakhmatullin <wrar@debian.org>,
 Section: python
-Priority: optional
 Build-Depends: cargo,
                debhelper-compat (= 13),
                dh-sequence-python3,
@@ -16,21 +15,23 @@
                librust-openssl-dev (>= 0.10.64~),
                librust-openssl-sys-dev (>= 0.9.101~),
                librust-pem-3.0-dev,
-               librust-pyo3-0.22+default-dev,
-               librust-pyo3-0.22-dev,
+               librust-pyo3+default-dev (>= 0.23.5),
+               librust-pyo3+default-dev (<< 0.27),
+               librust-pyo3-dev (>= 0.23.5),
+               librust-pyo3-dev (<< 0.27),
                librust-self-cell-dev,
                libssl-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-bcrypt <!nocheck>,
-               python3-certifi <!nocheck>,
+               python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 43.0.1~) <!nocheck>,
-               python3-cryptography-vectors (>= 43.0.0~) <!nocheck>,
+               python3-cryptography-vectors (<< 44.0.3~) <!nocheck>,
+               python3-cryptography-vectors (>= 44.0.2~) <!nocheck>,
                python3-maturin,
                python3-pretend <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-pytest-benchmark <!nocheck>,
+               python3-pytest (>= 7.4.0) <!nocheck>,
+               python3-pytest-benchmark (>= 4.0) <!nocheck>,
                python3-setuptools,
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                      python3-doc <!nodoc>,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cryptography/cryptography-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cryptography 45.0.6

=== debian/changelog ===
python-cryptography (45.0.6-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 03 Nov 2025 02:18:52 +0500

python-cryptography (45.0.6-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.
  * Drop the Priority field.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 29 Oct 2025 23:39:44 +0500

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,21 @@
 Build-Depends: cargo,
                debhelper-compat (= 13),
                dh-sequence-python3,
-               librust-asn1-0.20-dev,
-               librust-cc-1-dev (>= 1.1.6~),
+               librust-asn1-0.23-dev,
+               librust-cc-1.2-dev (>= 1.2.23~),
                librust-cfg-if-dev,
                librust-foreign-types-0.3-dev,
                librust-foreign-types-shared-0.1-dev,
                librust-once-cell-dev,
-               librust-openssl-dev (>= 0.10.64~),
-               librust-openssl-sys-dev (>= 0.9.101~),
+               librust-openssl-dev (>= 0.10.72~),
+               librust-openssl-sys-dev (>= 0.9.108~),
                librust-pem-3.0-dev,
                librust-pyo3+default-dev (>= 0.23.5),
                librust-pyo3+default-dev (<< 0.27),
                librust-pyo3-dev (>= 0.23.5),
                librust-pyo3-dev (<< 0.27),
+               librust-pyo3-build-config-dev (>= 0.23.5),
+               librust-pyo3-build-config-dev (<< 0.27),
                librust-self-cell-dev,
                libssl-dev,
                pybuild-plugin-pyproject,
@@ -26,9 +28,9 @@
                python3-bcrypt <!nocheck>,
                python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 44.0.3~) <!nocheck>,
-               python3-cryptography-vectors (>= 44.0.2~) <!nocheck>,
-               python3-maturin,
+               python3-cryptography-vectors (<< 45.0.7~) <!nocheck>,
+               python3-cryptography-vectors (>= 45.0.6~) <!nocheck>,
+               python3-maturin (>= 1.8.6),
                python3-pretend <!nocheck>,
                python3-pytest (>= 7.4.0) <!nocheck>,
                python3-pytest-benchmark (>= 4.0) <!nocheck>,
@@ -36,6 +38,7 @@
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                      python3-doc <!nodoc>,
                      python3-sphinx <!nodoc>,
+                     python3-sphinx-inline-tabs <!nodoc>,
                      python3-sphinx-rtd-theme <!nodoc>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 
 override_dh_auto_clean:
-	if [ -f src/rust/Cargo.lock.orig ] ; then mv src/rust/Cargo.lock.orig src/rust/Cargo.lock ; fi
+	if [ -f Cargo.lock.orig ] ; then mv Cargo.lock.orig Cargo.lock ; fi
 	dh_auto_clean
 	rm -rf src/rust/target
 	rm -rf debian/cargo_registry
@@ -41,9 +41,9 @@
 	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
 	mkdir -p src/rust/target/release
 	ln -sf ../$(DEB_HOST_RUST_TYPE)/release/libcryptography_rust.so src/rust/target/release/libcryptography_rust.so
-	mv src/rust/Cargo.lock src/rust/Cargo.lock.orig
+	mv Cargo.lock Cargo.lock.orig
 	# needed because we patch Cargo.toml
-	cargo generate-lockfile --manifest-path src/rust/Cargo.toml --offline
+	cargo generate-lockfile --offline
 	dh_auto_configure

## python-cryptography 45.0.7

=== debian/changelog ===
python-cryptography (45.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Re-enable tests that required rust-openssl that wasn't yet available.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 13 Nov 2025 13:46:52 +0500

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                python3-bcrypt <!nocheck>,
                python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 45.0.7~) <!nocheck>,
-               python3-cryptography-vectors (>= 45.0.6~) <!nocheck>,
+               python3-cryptography-vectors (<< 45.0.8~) <!nocheck>,
+               python3-cryptography-vectors (>= 45.0.7~) <!nocheck>,
                python3-maturin (>= 1.8.6),
                python3-pretend <!nocheck>,
                python3-pytest (>= 7.4.0) <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,6 @@
 
 export PYBUILD_NAME=cryptography
 export PYBUILD_TEST_PYTEST=1
-# needs newer librust-openssl-dev (#1081226)
-export PYBUILD_TEST_ARGS={dir}/tests/ -k 'not (TestDHPublicKeySerialization and test_public_bytes_match)'
 
 %:
 	dh $@ --buildsystem=pybuild

## python-cryptography 46.0.1

=== debian/changelog ===
python-cryptography (46.0.1-1ubuntu2) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2138182): Remaining changes:
    - Vendor rust for Ubuntu main
      - Add a recipe in d/rules to generate the vendor tarball
      - Add vendored crates
      - Adjust dependencies version for vendored build
      - Add debian/README.source

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 15 Jan 2026 14:54:11 +0100

python-cryptography (46.0.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update for pyo3 0.27 compatibility.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 21 Nov 2025 20:10:21 +0500

python-cryptography (46.0.1-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 14 Nov 2025 00:22:58 +0500

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,24 @@
 Source: python-cryptography
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
            Andrey Rakhmatullin <wrar@debian.org>,
 Section: python
 Build-Depends: cargo,
                debhelper-compat (= 13),
+               dh-cargo,
+               dh-cargo-tools,
                dh-sequence-python3,
-               librust-asn1-0.23-dev,
-               librust-cc-1.2-dev (>= 1.2.23~),
-               librust-cfg-if-dev,
-               librust-foreign-types-0.3-dev,
-               librust-foreign-types-shared-0.1-dev,
-               librust-once-cell-dev,
-               librust-openssl-dev (>= 0.10.72~),
-               librust-openssl-sys-dev (>= 0.9.108~),
-               librust-pem-3.0-dev,
-               librust-pyo3+default-dev (>= 0.23.5),
-               librust-pyo3+default-dev (<< 0.27),
-               librust-pyo3-dev (>= 0.23.5),
-               librust-pyo3-dev (<< 0.27),
-               librust-pyo3-build-config-dev (>= 0.23.5),
-               librust-pyo3-build-config-dev (<< 0.27),
-               librust-self-cell-dev,
                libssl-dev,
+               pkgconf,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-bcrypt <!nocheck>,
                python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 45.0.8~) <!nocheck>,
-               python3-cryptography-vectors (>= 45.0.7~) <!nocheck>,
-               python3-maturin (>= 1.8.6),
+               python3-cryptography-vectors (<< 46.0.2~) <!nocheck>,
+               python3-cryptography-vectors (>= 46.0.1~) <!nocheck>,
+               python3-maturin (>= 1.9.4),
                python3-pretend <!nocheck>,
                python3-pytest (>= 7.4.0) <!nocheck>,
                python3-pytest-benchmark (>= 4.0) <!nocheck>,
@@ -45,6 +33,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cryptography.git
 Homepage: https://cryptography.io/
 Testsuite: autopkgtest-pkg-pybuild
+XS-Vendored-Sources-Rust: asn1@0.22.0, asn1_derive@0.22.0, autocfg@1.5.0, base64@0.22.1, bitflags@2.9.4, cc@1.2.37, cfg-if@1.0.3, find-msvc-tools@0.1.1, foreign-types-shared@0.1.1, foreign-types@0.3.2, heck@0.5.0, indoc@2.0.6, itoa@1.0.15, libc@0.2.175, memoffset@0.9.1, once_cell@1.21.3, openssl-macros@0.1.1, openssl-sys@0.9.109, openssl@0.10.73, pem@3.0.5, pkg-config@0.3.32, portable-atomic@1.11.1, proc-macro2@1.0.101, pyo3-build-config@0.26.0, pyo3-ffi@0.26.0, pyo3-macros-backend@0.26.0, pyo3-macros@0.26.0, pyo3@0.26.0, quote@1.0.40, self_cell@1.2.0, shlex@1.3.0, syn@2.0.106, target-lexicon@0.13.3, unicode-ident@1.0.19, unindent@0.2.4
 
 Package: python3-cryptography
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/tmp/cargo_home
export CARGO_NET_OFFLINE=true
export CARGO_VENDOR_DIR = rust-vendor
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export PYBUILD_NAME=cryptography
export PYBUILD_TEST_PYTEST=1

VENDOR_TARBALL = $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-$(CARGO_VENDOR_DIR).tar.xz
VENDOR_OPENSSL_SYS := $(CARGO_VENDOR_DIR)/openssl-sys

%:
	dh $@ --buildsystem=pybuild

vendor-tarball-quick-check:
	if [ -e ../$(VENDOR_TARBALL) ]; then echo "../$(VENDOR_TARBALL) already exists, bailing!"; exit 1; fi

vendor-deps-cargo:
	rm -rf $(CARGO_VENDOR_DIR)
	env -i cargo-vendor-filterer --all-features  --tier 2  --platform '*-*-linux-gnu' --platform '*-*-linux-gnueabi' $(CARGO_VENDOR_DIR)
	# Remove everything vcpkg because it ships arm64 iOS .a files which trip
	# further steps and serve no purpose
	rm -r "$(CARGO_VENDOR_DIR)/vcpkg"
	jq -r '{ "files": {}, "package": .package }' < "$(VENDOR_OPENSSL_SYS)/.cargo-checksum.json" > "$(VENDOR_OPENSSL_SYS)/.cargo-checksum.json.tmp"
	mv "$(VENDOR_OPENSSL_SYS)/.cargo-checksum.json.tmp" "$(VENDOR_OPENSSL_SYS)/.cargo-checksum.json"
	sed -E -i -e '/^\[build-dependencies\.vcpkg\]$$/,+2 d' "$(VENDOR_OPENSSL_SYS)/Cargo.toml"
	sed -E -i -e '/ +try_vcpkg\(\);/ d' -e '/^fn try_vcpkg\(\) \{$$/,/^\}$$/ d' "$(VENDOR_OPENSSL_SYS)/build/find_normal.rs"
	sed -E -i -e '/^extern crate vcpkg;$$/ d' "$(VENDOR_OPENSSL_SYS)/build/main.rs"

vendor-deps: vendor-deps-cargo
	rm -r \
		$(CARGO_VENDOR_DIR)/*/tests
	# Remove the checksum files to allow us to patch the crates to remove extraneous dependencies
	for crate in $(CARGO_VENDOR_DIR)/*; do \
		sed -i 's/^{"files":.*"package":"\([a-z0-9]\+\)"}$$/{"files":{},"package":"\1"}/' $$crate/.cargo-checksum.json; \
		done
	# Cleanup temp files
	rm -rf $(CARGO_HOME)

vendor-tarball: vendor-tarball-quick-check vendor-deps
	tar --sort=name --mtime=@0 --owner=0 --group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime -caf ../$(VENDOR_TARBALL) $(CARGO_VENDOR_DIR)

override_dh_auto_clean:
	if [ -f Cargo.lock.orig ] ; then mv Cargo.lock.orig Cargo.lock ; fi
	dh_auto_clean
	rm -rf src/rust/target
	rm -rf debian/cargo_registry

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=./src python3 -m sphinx -b html -N docs/ \
		   $(CURDIR)/debian/python-cryptography-doc/usr/share/doc/python-cryptography-doc/html
	dh_sphinxdoc
endif


override_dh_auto_configure:
	cargo generate-lockfile --offline
	dh_auto_configure
	# This runs cargo prepare-debian and dh-cargo-vendored-sources when
	# CARGO_HOME is set, and other prepare-debian debian/cargo_registry
	# --link-from-system otherwise
	dh_auto_configure --buildsystem=cargo


override_dh_dwz:
	dh_dwz --no-dwz-multifile


override_dh_python3:
	# We patch it out of .dist-info to avoid pkg_resources complaining (#1026537)
	dh_python3 --depends=cffi

.PHONY: $(VENDOR_TARBALL)

## python-cryptography 46.0.5

=== debian/changelog ===
python-cryptography (46.0.5-1) unstable; urgency=medium

  * New upstream version.
    + Fix CVE-2026-26007.
  * Bump Standards-Version to 4.7.3.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 14 Feb 2026 18:51:07 +0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,35 @@
 Source: python-cryptography
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
            Andrey Rakhmatullin <wrar@debian.org>,
 Section: python
 Build-Depends: cargo,
                debhelper-compat (= 13),
-               dh-cargo,
-               dh-cargo-tools,
                dh-sequence-python3,
+               librust-asn1-0.23-dev,
+               librust-cc-1.2-dev (>= 1.2.34~),
+               librust-cfg-if-dev,
+               librust-foreign-types-0.3-dev,
+               librust-foreign-types-shared-0.1-dev,
+               librust-once-cell-dev,
+               librust-openssl-dev (>= 0.10.73~),
+               librust-openssl-sys-dev (>= 0.9.109~),
+               librust-pem-3.0-dev,
+               librust-pyo3+default-dev (>= 0.27),
+               librust-pyo3+default-dev (<< 0.28),
+               librust-pyo3-dev (>= 0.27),
+               librust-pyo3-dev (<< 0.28),
+               librust-pyo3-build-config-dev (>= 0.27),
+               librust-pyo3-build-config-dev (<< 0.28),
+               librust-self-cell-dev,
                libssl-dev,
-               pkgconf,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-bcrypt <!nocheck>,
                python3-certifi (>= 2024) <!nocheck>,
                python3-cffi,
-               python3-cryptography-vectors (<< 46.0.2~) <!nocheck>,
-               python3-cryptography-vectors (>= 46.0.1~) <!nocheck>,
+               python3-cryptography-vectors (<< 46.0.6~) <!nocheck>,
+               python3-cryptography-vectors (>= 46.0.5~) <!nocheck>,
                python3-maturin (>= 1.9.4),
                python3-pretend <!nocheck>,
                python3-pytest (>= 7.4.0) <!nocheck>,
@@ -28,12 +40,11 @@
                      python3-sphinx <!nodoc>,
                      python3-sphinx-inline-tabs <!nodoc>,
                      python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cryptography
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cryptography.git
 Homepage: https://cryptography.io/
 Testsuite: autopkgtest-pkg-pybuild
-XS-Vendored-Sources-Rust: asn1@0.22.0, asn1_derive@0.22.0, autocfg@1.5.0, base64@0.22.1, bitflags@2.9.4, cc@1.2.37, cfg-if@1.0.3, find-msvc-tools@0.1.1, foreign-types-shared@0.1.1, foreign-types@0.3.2, heck@0.5.0, indoc@2.0.6, itoa@1.0.15, libc@0.2.175, memoffset@0.9.1, once_cell@1.21.3, openssl-macros@0.1.1, openssl-sys@0.9.109, openssl@0.10.73, pem@3.0.5, pkg-config@0.3.32, portable-atomic@1.11.1, proc-macro2@1.0.101, pyo3-build-config@0.26.0, pyo3-ffi@0.26.0, pyo3-macros-backend@0.26.0, pyo3-macros@0.26.0, pyo3@0.26.0, quote@1.0.40, self_cell@1.2.0, shlex@1.3.0, syn@2.0.106, target-lexicon@0.13.3, unicode-ident@1.0.19, unindent@0.2.4
 
 Package: python3-cryptography
 Architecture: any
